org.apache.felix.gogo.runtime

## Class Parser.Executable

- java.lang.Object
- - org.apache.felix.gogo.runtime.Token
  - - org.apache.felix.gogo.runtime.Parser.Executable

All Implemented Interfaces:
  CharSequence

Direct Known Subclasses:
  Parser.Operator, Parser.Pipeline, Parser.Sequence, Parser.Statement

Enclosing class:
  Parser

    public abstract static class Parser.Executable
    extends Token

### Field Summary

### Fields inherited from class org.apache.felix.gogo.runtime.Token

`ch, column, length, line, start`

### Constructor Summary

Constructors
Constructor and Description
`Executable(Token cs)`

### Method Summary

### Methods inherited from class org.apache.felix.gogo.runtime.Token

`charAt, column, eq, length, line, start, subSequence, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.CharSequence

`chars, codePoints`

### Constructor Detail

#### Executable

    public Executable(Token cs)